#include <iostream>
#include <bits/stdc++.h>

using namespace std;

#define endl '\n'
#define ll long long

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);

    int n, m, tt;

    cin >> tt;

    while(tt--){
        cin >> n >> m;
        if(n!=m){
            cout << -1 << endl;
        }
        else{
            int mat[n][m];

            for(int i=0; i<n; i++){
                for(int j=0; j<m; j++){
                    mat[i][j]=0;
                }
            }

            for(int r=n-1; r>=0; r--){
                for(int j=n-1; j>=n-1-r; j--){
                    mat[r][j] = 1;
                }
            }


            for(int i=0; i<n; i++){
                for(int j=0; j<m; j++){
                    cout << mat[i][j] << " ";
                }
                cout << endl;
            }
        }
    }


}